Package com.sap.ai.sdk.grounding.model

# Class RetrievalBinaryBooleanFilter

java.lang.Object
com.sap.ai.sdk.grounding.model.RetrievalBinaryBooleanFilter

public class RetrievalBinaryBooleanFilter extends Object
RetrievalBinaryBooleanFilter

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RetrievalBinaryBooleanFilter.Builder`
  Builder helper class.
  `static interface`
  `RetrievalBinaryBooleanFilter.Builder1`
  Builder helper class.
  `static interface`
  `RetrievalBinaryBooleanFilter.Builder2`
  Builder helper class.
  `static enum`
  `RetrievalBinaryBooleanFilter.OperatorEnum`
  Gets or Sets operator

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RetrievalBinaryBooleanFilter()`
  Default constructor for RetrievalBinaryBooleanFilter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RetrievalBinaryBooleanFilter.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RetrievalBinaryBooleanFilter` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RetrievalBinaryBooleanFilter`.
  `Left`
  `getLeft()`
  Get left
  `RetrievalBinaryBooleanFilter.OperatorEnum`
  `getOperator()`
  Get operator
  `Right`
  `getRight()`
  Get right
  `int`
  `hashCode()`
  `RetrievalBinaryBooleanFilter`
  `left(Left left)`
  Set the left of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
  `RetrievalBinaryBooleanFilter`
  `operator(RetrievalBinaryBooleanFilter.OperatorEnum operator)`
  Set the operator of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
  `RetrievalBinaryBooleanFilter`
  `right(Right right)`
  Set the right of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RetrievalBinaryBooleanFilter` instance.
  `void`
  `setLeft(Left left)`
  Set the left of this `RetrievalBinaryBooleanFilter` instance.
  `void`
  `setOperator(RetrievalBinaryBooleanFilter.OperatorEnum operator)`
  Set the operator of this `RetrievalBinaryBooleanFilter` instance.
  `void`
  `setRight(Right right)`
  Set the right of this `RetrievalBinaryBooleanFilter` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RetrievalBinaryBooleanFilter` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RetrievalBinaryBooleanFilter

    protected RetrievalBinaryBooleanFilter()
    Default constructor for RetrievalBinaryBooleanFilter.

- ## Method Details

  - ### operator

    @Nonnull public RetrievalBinaryBooleanFilter operator(@Nonnull RetrievalBinaryBooleanFilter.OperatorEnum operator)
    Set the operator of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
    Parameters:
      `operator` - The operator of this `RetrievalBinaryBooleanFilter`
    Returns:
      The same instance of this `RetrievalBinaryBooleanFilter` class

  - ### getOperator

    @Nonnull public RetrievalBinaryBooleanFilter.OperatorEnum getOperator()
    Get operator
    Returns:
      operator The operator of this `RetrievalBinaryBooleanFilter` instance.

  - ### setOperator

    public void setOperator(@Nonnull RetrievalBinaryBooleanFilter.OperatorEnum operator)
    Set the operator of this `RetrievalBinaryBooleanFilter` instance.
    Parameters:
      `operator` - The operator of this `RetrievalBinaryBooleanFilter`

  - ### left

    @Nonnull public RetrievalBinaryBooleanFilter left(@Nonnull Left left)
    Set the left of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
    Parameters:
      `left` - The left of this `RetrievalBinaryBooleanFilter`
    Returns:
      The same instance of this `RetrievalBinaryBooleanFilter` class

  - ### getLeft

    @Nonnull public Left getLeft()
    Get left
    Returns:
      left The left of this `RetrievalBinaryBooleanFilter` instance.

  - ### setLeft

    public void setLeft(@Nonnull Left left)
    Set the left of this `RetrievalBinaryBooleanFilter` instance.
    Parameters:
      `left` - The left of this `RetrievalBinaryBooleanFilter`

  - ### right

    @Nonnull public RetrievalBinaryBooleanFilter right(@Nonnull Right right)
    Set the right of this `RetrievalBinaryBooleanFilter` instance and return the same instance.
    Parameters:
      `right` - The right of this `RetrievalBinaryBooleanFilter`
    Returns:
      The same instance of this `RetrievalBinaryBooleanFilter` class

  - ### getRight

    @Nonnull public Right getRight()
    Get right
    Returns:
      right The right of this `RetrievalBinaryBooleanFilter` instance.

  - ### setRight

    public void setRight(@Nonnull Right right)
    Set the right of this `RetrievalBinaryBooleanFilter` instance.
    Parameters:
      `right` - The right of this `RetrievalBinaryBooleanFilter`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RetrievalBinaryBooleanFilter`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RetrievalBinaryBooleanFilter` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RetrievalBinaryBooleanFilter` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RetrievalBinaryBooleanFilter` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RetrievalBinaryBooleanFilter.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RetrievalBinaryBooleanFilter` instance with all required arguments.